from talos.rpc import get_current_rpc_invoker
from talos.cache.base import diary_pv_cache
from talos.tasks.tasks import view_increase, diary_increase_view
from gm_types.gaia import CONST_STRINGS as const_strings

def diary_view_increase_num(ids=()):
    diary_increase_view.delay(ids)


def topic_view_increase_num(ids=()):
    for item in ids:
        view_increase(const_strings.TOPIC_VIEW, item)